# Retrieve counterparties

The Business API lets you retrieve the counterparties that you previously [added](/docs/guides/manage-accounts/counterparties/create-a-counterparty).

The fields returned for a given counterparty will differ depending on whether the counterparty has a Revolut account, as well as on the account currency and the country which the account is based in.

You can:

- [Retrieve a specific counterparty](#retrieve-a-counterparty)
- [Filter and retrieve all counterparties](#filter-and-retrieve-all-counterparties) that you added

## Retrieve a counterparty

To get information about a single specific counterparty, you must provide this counterparty's ID.

To see example requests and responses:

[See the API reference: Retrieve a counterparty](/docs/api/business#get-counterparty)

## Filter and retrieve all counterparties

You can retrieve a full list of the counterparties that you previously added to your Revolut Business account.

The results are sorted by the `created_at` date in reverse chronological order (from newest at the top to oldest at the bottom) and [paginated](#pagination).

To see example requests and responses:

[See the API reference: Retrieve a list of counterparties](/docs/api/business#get-counterparties)

You can filter this list of counterparties by adding one or more of the query parameters listed below to the URL:

- ![$Production]

  ```shell
  curl -L -X GET 'https://b2b.revolut.com/api/1.0/counterparties?name=John%20Smith&account_no=12345678' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <your access token>'
  ```

- ![$Sandbox]

  ```shell
  curl -L -X GET 'https://sandbox-b2b.revolut.com/api/1.0/counterparties?name=John%20Smith&account_no=12345678' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <your access token>'
  ```

The following table lists the parameters that you can optionally add as filters:

| Name             | Description                                                                                                                                                   | Comment                                                                                                                                  |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| `name`           | The name of the counterparty.                                                                                                                                 | Does not have to be an exact match, partial match is also supported.<br/><br/>**Note**: Special characters must be properly URL-encoded. |
| `account_no`     | The exact account number of the counterparty to retrieve.                                                                                                     |                                                                                                                                          |
| `sort_code`      | The exact sort code of the counterparty to retrieve.                                                                                                          | Only allowed in combination with the account number (`account_no`).                                                                      |
| `iban`           | The exact IBAN of the counterparty to retrieve.                                                                                                               |                                                                                                                                          |
| `bic`            | The exact BIC of the counterparty to retrieve.                                                                                                                | Only allowed in combination with IBAN (`iban`).                                                                                          |
| `created_before` | Retrieves counterparties with the date `created_at` < `created_before`. The default value is the current date and time at which you are calling the endpoint. | This parameter is also used for [pagination](#pagination).                                                                               |

### Pagination

When you retrieve counterparties, the results are paginated.
The default page size is `100`.

To get to the next page, make a new request and use the `created_at` date of the last counterparty returned in the previous response as `created_before`.

You can also modify the size of a single page by specifying the `limit` parameter. The maximum number of results per page that you can set is `1000`.